Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.feedhenry.sdk.sync
Class NotificationMessage

    java.lang.Object
      com.feedhenry.sdk.sync.NotificationMessage

    public class NotificationMessage

extends java.lang.Object

The message object sent to the listener when an event happened.

Field Summary
`static int` | `CLIENT_STORAGE_FAILED_CODE`
`static java.lang.String` | `CLIENT_STORAGE_FAILED_MESSAGE`
`static int` | `COLLISION_DETECTED_CDOE`
`static java.lang.String` | `COLLISION_DETECTED_MESSAGE`
`static int` | `DELTA_RECEIVED_CODE`
`static java.lang.String` | `DELTA_RECEIVED_MESSAGE`
`static int` | `LOCAL_UPDATE_APPLIED_CODE`
`static java.lang.String` | `LOCAL_UPDATE_APPLIED_MESSAGE`
`static int` | `OFFLINE_UPDATE_CODE`
`static java.lang.String` | `OFFLINE_UPDATE_MESSAGE`
`static int` | `REMOTE_UPDATE_APPLIED_CODE`
`static java.lang.String` | `REMOTE_UPDATE_APPLIED_MESSAGE`
`static int` | `REMOTE_UPDATE_FAILED_CDOE`
`static java.lang.String` | `REMOTE_UPDATE_FAILED_MESSAGE`
`static int` | `SYNC_COMPLETE_CODE`
`static java.lang.String` | `SYNC_COMPLETE_MESSAGE`
`static int` | `SYNC_FAILED_CODE`
`static java.lang.String` | `SYNC_FAILED_MESSAGE`
`static int` | `SYNC_STARTED_CODE`
`static java.lang.String` | `SYNC_STARTED_MESSAGE`

Constructor Summary
`NotificationMessage(java.lang.String pDataId, java.lang.String pUID, java.lang.String pCodeMessage, java.lang.String pExtraMessage)`

Method Summary
`java.lang.String` | `getCode()` The code message associated with the event
`java.lang.String` | `getDataId()` The id of the dataset associated with the event
`java.lang.String` | `getMessage()` Extra message associated with the event
`static NotificationMessage` | `getMessage(java.lang.String pDatasetId, java.lang.String pUid, int pCode, java.lang.String pMessage)`
`java.lang.String` | `getUID()` The id of the data record associated with the event
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SYNC_STARTED_CODE

    public static final int SYNC_STARTED_CODE

See Also:
  Constant Field Values

### SYNC_COMPLETE_CODE

    public static final int SYNC_COMPLETE_CODE

See Also:
  Constant Field Values

### OFFLINE_UPDATE_CODE

    public static final int OFFLINE_UPDATE_CODE

See Also:
  Constant Field Values

### COLLISION_DETECTED_CDOE

    public static final int COLLISION_DETECTED_CDOE

See Also:
  Constant Field Values

### REMOTE_UPDATE_FAILED_CDOE

    public static final int REMOTE_UPDATE_FAILED_CDOE

See Also:
  Constant Field Values

### REMOTE_UPDATE_APPLIED_CODE

    public static final int REMOTE_UPDATE_APPLIED_CODE

See Also:
  Constant Field Values

### DELTA_RECEIVED_CODE

    public static final int DELTA_RECEIVED_CODE

See Also:
  Constant Field Values

### CLIENT_STORAGE_FAILED_CODE

    public static final int CLIENT_STORAGE_FAILED_CODE

See Also:
  Constant Field Values

### SYNC_FAILED_CODE

    public static final int SYNC_FAILED_CODE

See Also:
  Constant Field Values

### LOCAL_UPDATE_APPLIED_CODE

    public static final int LOCAL_UPDATE_APPLIED_CODE

See Also:
  Constant Field Values

### SYNC_STARTED_MESSAGE

    public static final java.lang.String SYNC_STARTED_MESSAGE

See Also:
  Constant Field Values

### SYNC_COMPLETE_MESSAGE

    public static final java.lang.String SYNC_COMPLETE_MESSAGE

See Also:
  Constant Field Values

### OFFLINE_UPDATE_MESSAGE

    public static final java.lang.String OFFLINE_UPDATE_MESSAGE

See Also:
  Constant Field Values

### COLLISION_DETECTED_MESSAGE

    public static final java.lang.String COLLISION_DETECTED_MESSAGE

See Also:
  Constant Field Values

### REMOTE_UPDATE_FAILED_MESSAGE

    public static final java.lang.String REMOTE_UPDATE_FAILED_MESSAGE

See Also:
  Constant Field Values

### REMOTE_UPDATE_APPLIED_MESSAGE

    public static final java.lang.String REMOTE_UPDATE_APPLIED_MESSAGE

See Also:
  Constant Field Values

### LOCAL_UPDATE_APPLIED_MESSAGE

    public static final java.lang.String LOCAL_UPDATE_APPLIED_MESSAGE

See Also:
  Constant Field Values

### DELTA_RECEIVED_MESSAGE

    public static final java.lang.String DELTA_RECEIVED_MESSAGE

See Also:
  Constant Field Values

### CLIENT_STORAGE_FAILED_MESSAGE

    public static final java.lang.String CLIENT_STORAGE_FAILED_MESSAGE

See Also:
  Constant Field Values

### SYNC_FAILED_MESSAGE

    public static final java.lang.String SYNC_FAILED_MESSAGE

See Also:
  Constant Field Values

Constructor Detail

### NotificationMessage

    public NotificationMessage(java.lang.String pDataId,
                               java.lang.String pUID,
                               java.lang.String pCodeMessage,
                               java.lang.String pExtraMessage)

Method Detail

### getDataId

    public java.lang.String getDataId()

  The id of the dataset associated with the event

  Returns:

### getUID

    public java.lang.String getUID()

  The id of the data record associated with the event

  Returns:

### getCode

    public java.lang.String getCode()

  The code message associated with the event

  Returns:

### getMessage

    public java.lang.String getMessage()

  Extra message associated with the event

  Returns:

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getMessage

    public static NotificationMessage getMessage(java.lang.String pDatasetId,
                                                 java.lang.String pUid,
                                                 int pCode,
                                                 java.lang.String pMessage)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD